Loading...
Searching...
No Matches
Angle.cpp File Reference

Implementation for the GeographicLib::Angle class. More...

`#include <GeographicLib/Angle.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <iostream>`

Go to the source code of this file.

## Namespaces

namespace | GeographicLib
| Namespace for GeographicLib.

## Macros

#define | GEOGRAPHICLIB_ANGLE_INSTANTIATE(T)

## Detailed Description

Implementation for the GeographicLib::Angle class.

This file is an implementation of the methods described in

- C. F. F. Karney, On auxiliary latitudes, Survey Review 56(395), 165–180 (2024); preprint arXiv:2212.05818.

Copyright (c) Charles Karney (2024-2025) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Angle.cpp.

## Macro Definition Documentation

## GEOGRAPHICLIB_ANGLE_INSTANTIATE

#define GEOGRAPHICLIB_ANGLE_INSTANTIATE | ( |  | T | ) |

Value:
template T GEOGRAPHICLIB_EXPORT AngleT<T>::rnd(T); \
template void GEOGRAPHICLIB_EXPORT AngleT<T>::DecodeLatLon \
(const string& , const string&,AngleT<T>&, AngleT<T>&, bool); \
template AngleT<T> GEOGRAPHICLIB_EXPORT AngleT<T>::DecodeAzimuth \
(const string&); \
template string GEOGRAPHICLIB_EXPORT AngleT<T>::LatLonString \
(AngleT<T>, AngleT<T>, int, bool, char, bool); \
template string GEOGRAPHICLIB_EXPORT AngleT<T>::AzimuthString \
(AngleT<T>, int, bool, char);
GEOGRAPHICLIB_EXPORT
#define GEOGRAPHICLIB_EXPORT
Definition Constants.hpp:59

Definition at line 91 of file Angle.cpp.